package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.dto.premiumremittance.ApiPremiumRemittanceDto;
import com.yd.csf.feign.request.premiumremittance.ApiPremiumRemittancePageRequest;
import com.yd.csf.service.model.PremiumRemittance;

import java.util.List;

public interface ApiPremiumRemittanceService {

    Result<IPage<ApiPremiumRemittanceDto>> page(ApiPremiumRemittancePageRequest request);

    Result add(ApiPremiumRemittanceDto request);

    Result edit(ApiPremiumRemittanceDto request);

    Result<ApiPremiumRemittanceDto> detail(String premiumRemittanceBizId);

    Result del(String premiumRemittanceBizId);

    Result addPremiumRemittanceList(List<ApiPremiumRemittanceDto> apiPremiumRemittanceDtoList,
                                    String premiumReconciliationBizId);

    List<ApiPremiumRemittanceDto> apiPremiumRemittanceDtoList(String premiumReconciliationBizId);

    Result<PremiumRemittance> checkPremiumRemittanceIsExist(String premiumRemittanceBizId);

    List<ApiPremiumRemittanceDto> list(List<String> premiumReconciliationBizIdList);
}
